Summary: PAM module for LDAP.
Name: pam_ldap
Version: 183
Release: 1tr
Source0: http://www.padl.com/download/%{name}-%{version}.tar.gz
Source1: ldap.conf
Patch0: pam_ldap-176-gnutls.patch
URL: http://www.padl.com/
License: LGPL
Group: Trustix Official
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: openldap-devel
Requires: openldap cyrus-sasl openssl ldapclients-common
Obsoletes: pam_ldap

%description
This package includes a LDAP access clients: pam_ldap.

Pam_ldap is a module for Linux-PAM that supports password changes, V2/V3
clients, Netscapes SSL/OpenSSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%package -n ldapclients-common
Summary: ldap.conf config file for LDAP modules.
Group: Trustix Official

%description -n ldapclients-common
This package provides the files needed by both pam_ldap og nss_ldap.


%prep
%setup -q -a 0
%patch0 -p1

%build
./configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib/security}

install -m 755 pam_ldap.so \
	       $RPM_BUILD_ROOT/lib/security/

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf

chmod 755 $RPM_BUILD_ROOT/lib/security/*.so*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%attr(0755,root,root) /lib/security/*.so*
%doc AUTHORS NEWS COPYING COPYING.LIB README ChangeLog pam.d

%files -n ldapclients-common
%defattr(0644,root,root,0755)
%config(noreplace) /etc/ldap.conf

%changelog
* Fri Nov 03 2006 Nived Gopalan <nived at trustix dot org> 183-1tr
- New upstream.
- SECURITY Fix: Steve Rigler has reported a security issue which
  can be exploited by malicious people to bypass certain security
  restrictions. The issue is caused due to an error within the
  handling of "PasswordPolicyResponse" control messages when
  authenticating against an LDAP server. This causes the
  "pam_authenticate()" function to always succeed, even if the
  previous authentication failed.

  The common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2006-5170 to this issue.

* Thu Jun 30 2005 Ajith Thampi <ajith at comodo dot com> 175-2tr
- Fix, pam_ldap when connecting to a slave using TLS, does not use TLS for 
  the subsequent connection if the client is referred to a master, which 
  causes a password to be sent in cleartext and allows remote attackers to 
  sniff the password. (CAN-2005-2069)
		
* Mon Sep 27 2004 Nageswara Sastry <nageswara at comodo dot com> 175-1tr
- Upgraded to version 175-1tr from 166-3tr

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot com> 166-1tr
- New upstream.

* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 164-3tr
- Changed description to something sane.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 164-2tr
- Big rebuild

* Tue Jun 17 2003 Chr. Toldnes <christht at trustix dot org> 164-1ct
- split ldap.conf into separate package.
- Removed all but one CL-entry
- based on work by Joe Little

* Mon Jan 08 2001 Joe Little <jlittle at open-it dot org>
- first PAM_LDAP specific RPM, stolen from the previously maintained nss_ldap
